<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
	<id>https://hna.wiki/MediaWiki:CustomTabs.css?action=history&amp;feed=atom</id>
	<title>MediaWiki:CustomTabs.css - Revision history</title>
	<link rel="self" type="application/atom+xml" href="https://hna.wiki/MediaWiki:CustomTabs.css?action=history&amp;feed=atom"/>
	<link rel="alternate" type="text/html" href="https://hna.wiki/MediaWiki:CustomTabs.css?action=history"/>
	<updated>2026-07-15T03:41:52Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.46.0</generator>
	<entry>
		<id>https://hna.wiki/MediaWiki:CustomTabs.css?diff=472&amp;oldid=prev</id>
		<title>ReinDevildom: Created page with &quot;/** For Template:CustomTabs **/ .custom-tabs { 	display: flex; 	flex-direction: row; 	gap: 5px; 	width: 100%; 	margin: 5px 0; 	flex-wrap: wrap; 	justify-content: space-evenly; }  .custom-tabs &gt; span { 	border-radius: 4px; 	display: flex; 	align-items: center; 	text-align: center; 	justify-content: center; 	flex: 1; 	transition: .25s; }  .custom-tabs a, .custom-tabs .selflink, .custom-tabs span.new { 	display: flex; 	width: 100%; 	height: 100%; 	padding: 8px 10px; 	border...&quot;</title>
		<link rel="alternate" type="text/html" href="https://hna.wiki/MediaWiki:CustomTabs.css?diff=472&amp;oldid=prev"/>
		<updated>2025-08-29T16:54:37Z</updated>

		<summary type="html">&lt;p&gt;Created page with &amp;quot;&lt;span class=&quot;autocomment&quot;&gt;* For Template:CustomTabs *: &lt;/span&gt; .custom-tabs { 	display: flex; 	flex-direction: row; 	gap: 5px; 	width: 100%; 	margin: 5px 0; 	flex-wrap: wrap; 	justify-content: space-evenly; }  .custom-tabs &amp;gt; span { 	border-radius: 4px; 	display: flex; 	align-items: center; 	text-align: center; 	justify-content: center; 	flex: 1; 	transition: .25s; }  .custom-tabs a, .custom-tabs .selflink, .custom-tabs span.new { 	display: flex; 	width: 100%; 	height: 100%; 	padding: 8px 10px; 	border...&amp;quot;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/** For Template:CustomTabs **/&lt;br /&gt;
.custom-tabs {&lt;br /&gt;
	display: flex;&lt;br /&gt;
	flex-direction: row;&lt;br /&gt;
	gap: 5px;&lt;br /&gt;
	width: 100%;&lt;br /&gt;
	margin: 5px 0;&lt;br /&gt;
	flex-wrap: wrap;&lt;br /&gt;
	justify-content: space-evenly;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.custom-tabs &amp;gt; span {&lt;br /&gt;
	border-radius: 4px;&lt;br /&gt;
	display: flex;&lt;br /&gt;
	align-items: center;&lt;br /&gt;
	text-align: center;&lt;br /&gt;
	justify-content: center;&lt;br /&gt;
	flex: 1;&lt;br /&gt;
	transition: .25s;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.custom-tabs a,&lt;br /&gt;
.custom-tabs .selflink,&lt;br /&gt;
.custom-tabs span.new {&lt;br /&gt;
	display: flex;&lt;br /&gt;
	width: 100%;&lt;br /&gt;
	height: 100%;&lt;br /&gt;
	padding: 8px 10px;&lt;br /&gt;
	border-radius: 4px;&lt;br /&gt;
	align-items: center;&lt;br /&gt;
	text-align: center;&lt;br /&gt;
	justify-content: center;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Mobile 2 column format */&lt;br /&gt;
.skin-fandommobile div.custom-tabs {&lt;br /&gt;
	display: grid;&lt;br /&gt;
	grid-template-columns: repeat(2, 50%);&lt;br /&gt;
	grid-auto-flow: row;&lt;br /&gt;
	flex-wrap: wrap;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.skin-fandommobile .custom-tabs a,&lt;br /&gt;
.skin-fandommobile .custom-tabs .selflink,&lt;br /&gt;
.skin-fandommobile .custom-tabs span.new {&lt;br /&gt;
	font-size: 90%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Define Colors for Dark Theme */&lt;br /&gt;
.theme-fandomdesktop-dark .custom-tabs, .theme-fandommobile-dark .custom-tabs {&lt;br /&gt;
	--language-tabs-active-color: var(--pi-tabber-bg-color);&lt;br /&gt;
	--language-tabs-inactive-color: var(--pi-rows-color);&lt;br /&gt;
	--language-tabs-inactive-hover-color: var(--pi-tabber-bg-color);&lt;br /&gt;
	--secondary-tabs-active-color: var(--theme-color-10);&lt;br /&gt;
	--secondary-tabs-inactive-color: var(--theme-color-9);&lt;br /&gt;
	--secondary-tabs-inactive-hover-color: var(--theme-color-7);&lt;br /&gt;
	--tertiary-tabs-active-color: #48549a;&lt;br /&gt;
	--tertiary-tabs-inactive-color: #333e90;&lt;br /&gt;
	--tertiary-tabs-inactive-hover-color: #48549a;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Define Colors for Light Theme */&lt;br /&gt;
.theme-fandomdesktop-light .custom-tabs, .theme-fandommobile-light .custom-tabs {&lt;br /&gt;
	--language-tabs-active-color: var(--pi-header-bg-color);&lt;br /&gt;
	--language-tabs-inactive-color: var(--pi-tabber-bg-color);&lt;br /&gt;
	--language-tabs-inactive-hover-color: var(--pi-header-bg-color);&lt;br /&gt;
	--secondary-tabs-active-color: var(--theme-color-6);&lt;br /&gt;
	--secondary-tabs-inactive-color: var(--theme-color-8);&lt;br /&gt;
	--secondary-tabs-inactive-hover-color: var(--theme-color-6);&lt;br /&gt;
	--tertiary-tabs-active-color: #afacba;&lt;br /&gt;
	--tertiary-tabs-inactive-color: #ece5d8;&lt;br /&gt;
	--tertiary-tabs-inactive-hover-color: #afacba;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Default Color Scheme */&lt;br /&gt;
.custom-tabs-default {&lt;br /&gt;
	--active-tab-background-color: var(--theme-accent-color);&lt;br /&gt;
	--active-tab-color: var(--custom-tabs-active-color);&lt;br /&gt;
	--inactive-tab-background-color: rgba(var(--theme-accent-color--rgba), 0.5);&lt;br /&gt;
	--inactive-tab-color: var(--theme-page-text-color);&lt;br /&gt;
	--inactive-tab-hover-background-color: var(--theme-accent-color);&lt;br /&gt;
	--inactive-tab-hover-color: var(--custom-tabs-active-color);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Language Color Scheme */&lt;br /&gt;
.custom-tabs-language {&lt;br /&gt;
	--active-tab-background-color: var(--language-tabs-active-color);&lt;br /&gt;
	--active-tab-color: var(--theme-page-text-color);&lt;br /&gt;
	--inactive-tab-background-color: var(--language-tabs-inactive-color);&lt;br /&gt;
	--inactive-tab-color: var(--theme-page-text-color);&lt;br /&gt;
	--inactive-tab-hover-background-color: var(--language-tabs-inactive-hover-color);&lt;br /&gt;
	--inactive-tab-hover-color: var(--theme-page-text-color);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Secondary Color Scheme */&lt;br /&gt;
.custom-tabs-secondary {&lt;br /&gt;
	--active-tab-background-color: var(--secondary-tabs-active-color);&lt;br /&gt;
	--active-tab-color: var(--theme-page-text-color);&lt;br /&gt;
	--inactive-tab-background-color: var(--secondary-tabs-inactive-color);&lt;br /&gt;
	--inactive-tab-color: var(--theme-page-text-color);&lt;br /&gt;
	--inactive-tab-hover-background-color: var(--secondary-tabs-inactive-hover-color);&lt;br /&gt;
	--inactive-tab-hover-color: var(--theme-page-text-color);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Tertiary Color Scheme */&lt;br /&gt;
.custom-tabs-tertiary {&lt;br /&gt;
	--active-tab-background-color: var(--tertiary-tabs-active-color);&lt;br /&gt;
	--active-tab-color: var(--theme-page-text-color);&lt;br /&gt;
	--inactive-tab-background-color: var(--tertiary-tabs-inactive-color);&lt;br /&gt;
	--inactive-tab-color: var(--theme-page-text-color);&lt;br /&gt;
	--inactive-tab-hover-background-color: var(--tertiary-tabs-inactive-hover-color);&lt;br /&gt;
	--inactive-tab-hover-color: var(--theme-page-text-color);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Apply Color Scheme */&lt;br /&gt;
.custom-tabs span.active-tab {&lt;br /&gt;
	background-color: var(--active-tab-background-color);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.custom-tabs span.active-tab strong {&lt;br /&gt;
	color: var(--active-tab-color);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.custom-tabs span.active-tab a:not(.new) {&lt;br /&gt;
	color: var(--active-tab-color);&lt;br /&gt;
	font-weight: bold;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.custom-tabs span.inactive-tab {&lt;br /&gt;
	background: var(--inactive-tab-background-color);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.custom-tabs span.inactive-tab a:not(.new) {&lt;br /&gt;
	color: var(--inactive-tab-color);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.custom-tabs span.inactive-tab:hover {&lt;br /&gt;
	background: var(--inactive-tab-hover-background-color);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.custom-tabs span.inactive-tab:hover a:not(.new) {&lt;br /&gt;
	color: var(--inactive-tab-hover-color);&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>ReinDevildom</name></author>
	</entry>
</feed>